GET https://api.cryptohopper.com/v1/hopper/{id}/signal/last

Returns the log output of the last signal the hopper handled, as plain text.

OAuth scope: read About scopes

Returns the text "No signals matching your config received yet." when the hopper has not handled a signal. Not available for arbitrage, market maker, copy trading, grid and AI bots.

Example request

curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/signal/last" \
  -H "access-token: YOUR_ACCESS_TOKEN"

Parameters

Headers

NameTypeRequiredDescription
access-token string Required The OAuth access token of the user.

Path parameters

NameTypeRequiredDescription
id string Required Hopper ID.

Response

Example response (illustrative values)

{
    "data": "2026-09-25 10:15:02 UTC - INFO - Received SELL signal from: Example Signals for coin: BTC, rate: 65000\n2026-09-25 10:15:02 UTC - INFO - Sell signal is already handled/received. Stopping here.\n"
}

Status codes: 200. Errors return JSON with status, error and message. See How the API works for response codes and rate limits.